Get file metadata
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
AgentFS file ID.
Response Body
application/json
application/problem+json
curl -X GET "https://example.com/v1/files/string"{ "type": "file", "id": "string", "name": "string", "path": "string", "size_bytes": 0, "revision": 0, "visibility": "public", "url": "http://example.com", "etag": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}Upload a file POST
Accepts an upload with an API key, or without one: a keyless upload is limited to 100 MB, is always unlisted, expires after 24 hours, and cannot set path, project, prefix, if_exists=replace, expires_in, label, or Idempotency-Key. Send Idempotency-Key with a key to make a lost response safe to retry.
Move or rename a file PATCH
Next Page
AgentFS